QUORUM_DISPATCH(3)

NAME
quorum_dispatch - Dispatches callbacks from the quorum service

SYNOPSIS
#include <corosync/quorum.h>

int quorum_dispatch(quorum_handle_t handle, cs_dispatch_flags_t *dispatch_types);

DESCRIPTION
The quorum_dispatch function is used to dispatch configuration changes.

Each application may have several connections to the quorum API. Each application uses the handle argument to uniquely identify the connection.

The dispatch_types argument is used to identify the type of dispatch to execute. The possible types are defined by the structure:
typedef enum {
        CS_DISPATCH_ONE = 1,
        CS_DISPATCH_ALL = 2,
        CS_DISPATCH_BLOCKING = 3,
        CS_DISPATCH_ONE_NONBLOCKING = 4
} cs_dispatch_flags_t;

The dispatch values have the following meanings:

CS_DISPATCH_ONE
    Dispatch at least one callback, blocking until the callback is dispatched.

CS_DISPATCH_ALL
    Dispatch all waiting callbacks without blocking to wait for any callbacks.

CS_DISPATCH_BLOCKING
    Dispatch all callbacks blocking indefinitely. This is used in a threaded program where a thread is created, and then quorum_dispatch() is called immediately from the created thread to execute callbacks.

CS_DISPATCH_ONE_NONBLOCKING
    Dispatch at most one callback. If there is no pending callback, CS_ERR_TRY_AGAIN is returned.

RETURN VALUE
This call returns the CS_OK value if successful, otherwise an error is returned.

ERRORS
@COMMONIPCERRORS@

SEE ALSO
quorum_overview(8), quorum_initialize(3), quorum_finalize(3), quorum_getquorate(3), quorum_trackstart(3), quorum_trackstop(3), quorum_fd_get(3), quorum_context_set(3), quorum_context_get(3)